[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Xen-devel] xenoprof patch for oprofile-0.9.7

On 12/16/2011 04:09 PM, Konrad Rzeszutek Wilk wrote:
> On Tue, Nov 29, 2011 at 04:28:06PM -0500, William Cohen wrote:
>> On 11/28/2011 05:45 PM, Konrad Rzeszutek Wilk wrote:
>>> On Mon, Nov 28, 2011 at 05:09:34PM -0500, William Cohen wrote:
>>>> I am rebasing Fedora rawhide oprofile package to oprofile-0.9.7. The 
>>>> xenoprof patches on http://xenoprof.sourceforge.net/#download look a bit 
>>>> dated. The newest version is for oprofile-0.9.5. 
>>> There was one posted some time ago.. Ah:
>>> http://www.flyn.org/patches/linux-xen-passive-oprofile/linux-3.0-xen-passive-oprofile.patch.gz
>>> I think that ones works , thought I haven't had a chance to test it
>>> myself.
>>>> I massaged the patch oprofile-0.9.5-xen.patch to apply to oprofile-.0.9.7. 
>>>> Attached is that updated patch. Does this look reasonable? Is there a 
>>>> desire to get this into upstream oprofile? Or should the xenoprof patch be 
>>>> dropped?
>>> Well, the desire is to get a performance tool in upstream that works
>>> with Xen very very very much.
>>> The upstream is using the 'perf' framework which is different from oprofile
>>> and there hasn't been any patches to take advantage of it.
>>> So to answer your question:
>>>  1). Its awesome you have posted a patch. Will need to spend some time
>>>      with it and and with the version that was posted to see if there is
>>>      something missing. Sadly, the kernel patch is not very
>>>      upstream-compatible as is. But it will get to folks be able to
>>>      do some perf analysis instead of using benchmark tools.
>> If anyone can exercise the patch and verify that it works well with the 
>> current upstream xen, that would be greatly appreciated.
> So I tried to do it today but running in trouble of compiling it on
> Fedora Core 16. You wouldn't have any patches floating around to make it
> compile? (I used first a virgin 0.9.7 version).
> Thanks!

Hi Konrad,

Sorry I didn't see this email earlier. 

The patch applies cleanly to oprofile 0.9.7 and builds on fc17. What was the 
error you got?  How are you configuring it? You should be able to do something 

cd oprofile-0.9.7
patch -p1 -b < ~/oprofile-0.9.7-xen.patch
./configure --with-kernel-support --enable-gui=qt4 

Alternative you should be able to down load the src rpm from 


yum-builddep oprofile-0.9.7-1.src.rpm
rpm -Uvh oprofile-0.9.7-1.src.rpm
cd ~/rpmbuild/SPEC
rpmbuild -b oprofile.spec


Xen-devel mailing list



Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.